##Velocity

**Docs**  
http://VelocityJS.org

**Quickstart**  
`<script src="//cdn.jsdelivr.net/jquery.velocity/0.2.0/jquery.velocity.min.js"></script>`

**Feature Demos**  
http://codepen.io/julianshapiro/public-list

**Package Managers**  
Bower package is *velocity*. NPM package is *velocity-animate*.

###**New**

- *Coming soon: jQuery dependency removal and Zepto support.*
- Immediate stopping: http://velocityjs.org/#stop
- Spring physics: http://velocityjs.org/#easing
- Coffee script love: https://github.com/julianshapiro/velocity/issues/76

###**Learn**

- **UI Pack**: http://www.smashingmagazine.com/2014/06/18/faster-ui-animations-with-velocity-js/
- **Performance comparisons**: http://davidwalsh.name/css-js-animation
- **Performance optimizations**: http://www.sitepoint.com/incredibly-fast-ui-animation-using-velocity-js/
- **Workflow**: http://css-tricks.com/improving-ui-animation-workflow-velocity-js

###**Comparisons**

- **Famo.us** is a full-fledged *mobile app framework* built around a physics engine.
- **GSAP** is a fast, multi-purpose *animation platform*. It inspired me to pursue the development of Velocity.
- **Velocity** is a lightweight tool for drastically improving *UI animation performance and workflow*.

###**Changelog**

- 0.2.1: Prevent errors from being thrown in unsupported old jQuery versions (1.4.0-2).
- 0.2.0: Added step easing (http://VelocityJS.org/#easing).
- 0.1.0: Velocity's `stop` command was changed to stop animations *immediately* (instead of just clearing the remainder of the animation queue). No other backwards-incompatible changes were made.

====

[MIT License](LICENSE). © Julian Shapiro (http://twitter.com/shapiro).
